Package mvpa :: Package clfs :: Package libsvmc :: Module sens :: Class LinearSVMWeights

[hide private]
[frames] | no frames]

# Class LinearSVMWeights

source code

`SensitivityAnalyzer` for the LIBSVM implementation of a linear SVM.

Nested Classes | [hide private]

Inherited from `misc.state.ClassWithCollections`: `__metaclass__`

Instance Methods | [hide private]

__init__(self, clf, **kwargs) Initialize the analyzer with the classifier it shall use. | source code

_call(self, dataset, callables=[]) Computes a per-feature-measure on a given Dataset. | source code

Inherited from `measures.base.Sensitivity`: `__call__`, `__repr__`, `feature_ids`, `untrain`

Inherited from `measures.base.Sensitivity` (private): `_setClassifier`

Inherited from `measures.base.FeaturewiseDatasetMeasure`: `combiner`

Inherited from `measures.base.FeaturewiseDatasetMeasure` (private): `_postcall`

Inherited from `measures.base.DatasetMeasure`: `null_dist`, `transformer`

Inherited from `misc.state.ClassWithCollections`: `__getattribute__`, `__new__`, `__setattr__`, `__str__`, `reset`

Inherited from `object`: `__delattr__`, `__format__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Class Variables | [hide private]

| _ATTRIBUTE_COLLECTIONS = `['params']`
| biases = `StateVariable(enabled= True, doc= "Offsets of separat`...``
| split_weights = `Parameter(False, allowedtype= 'bool', doc= "If`...``
| _customizeDocInherit = `True`
Inherited from `measures.base.Sensitivity`: `clf` Inherited from `measures.base.Sensitivity` (private): `_LEGAL_CLFS` Inherited from `measures.base.FeaturewiseDatasetMeasure`: `base_sensitivities` Inherited from `measures.base.DatasetMeasure`: `__doc__`, `null_prob`, `null_t`, `raw_results` Inherited from `misc.state.ClassWithCollections`: `_DEV__doc__`, `descr`

Instance Variables | [hide private]

Inherited from `measures.base.Sensitivity` (private): `_force_training`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, clf, **kwargs)
(Constructor)

source code

Initialize the analyzer with the classifier it shall use.

Parameters:
  - `clf`, `LinearSVM` - classifier to use. Only classifiers sub-classed from `LinearSVM` may be used.
Overrides: object.__init__

### _call(self, dataset, callables=[])

source code

Computes a per-feature-measure on a given Dataset.

Behaves like a DatasetMeasure, but computes and returns a 1d ndarray with one value per feature.

Overrides: measures.base.DatasetMeasure._call
  (inherited documentation)

Class Variable Details | [hide private]

### biases

Value:

      StateVariable(enabled= True, doc= "Offsets of separating hyperplanes")

### split_weights

Value:

      Parameter(False, allowedtype= 'bool', doc= "If binary classification e
      ither to sum SVs per each " "class separately")